Update uCode for iwlwifi-6000g2a and iwlwifi-6000g2b

Bug #716832 reported by Yingying Zhao on 2011-02-11
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
intel
High
Yingying Zhao
linux-firmware (Ubuntu)
Undecided
Tim Gardner
Lucid
Undecided
Tim Gardner
Maverick
Undecided
Tim Gardner
Natty
Undecided
Tim Gardner

Bug Description

Please update uCode for Taylor Peak and Rainbow Peak to 17.168.5.2, which fixed a showstopper issue that it can't connect to a 5G hidden SSID.
The uCode files are already on intellinuxwireless.org.

Changed in intel:
assignee: nobody → Tim Gardner (timg-tpi)
Tim Gardner (timg-tpi) on 2011-02-11
Changed in linux-firmware (Ubuntu Natty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
summary: - Update uCode for TaylorPeak and RainbowPeak
+ Update uCode for iwlwifi-6000g2a and iwlwifi-6000g2b
Changed in intel:
assignee: Tim Gardner (timg-tpi) → Yingying Zhao (yingying-zhao)
visibility: private → public
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.47

---------------
linux-firmware (1.47) natty; urgency=low

  * iwlwifi: Updated iwlwifi-6000g2a-5.ucode and iwlwifi-6000g2b-5.ucode to 17.168.5.2
    17.168.5.2 fixes a showstopper issue that it can't connect to a 5G hidden SSID.
    -LP: #716832

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git 2fab48391fda8a914b55c8ac265eb3b6ee10ace8
    linux-firmware: Add firmware file for Realtek RTL8192DE
    linux-firmware: bnx2: Update firmware and version
    linux-firmware: bnx2: Update firmware to 6.0.x.
 -- Tim Gardner <email address hidden> Fri, 11 Feb 2011 07:01:23 -0700

Changed in linux-firmware (Ubuntu Natty):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) wrote :

SRU Justification:

Impact: 17.168.5.2 fixes a showstopper issue that it can't connect to a 5G hidden SSID.

Patch Description: Update iwlwifi-6000g2a-ucode and iwlwifi-6000g2b-ucode to 17.168.5.2

Changed in linux-firmware (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2011-02-11
Changed in linux-firmware (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Changed in intel:
status: New → In Progress

Accepted linux-firmware into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted linux-firmware into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Chris Van Hoof (vanhoof) on 2011-02-15
tags: added: hwe-blocker
Chris Van Hoof (vanhoof) wrote :

I'm able to connect to a hidden N based SSID w/ a TaylorPeak card running Maverick w/ linux-firmware version 1.38.4:

$ dpkg -l linux-firmware
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii linux-firmware 1.38.4 Firmware for Linux kernel drivers

$ lspci
[...]
02:00.0 Network controller: Intel Corporation 6000 Series Gen2 (rev 34)
[...]

$ dmesg
[...]
[ 10.264228] iwlagn 0000:02:00.0: loaded firmware version 17.168.5.2 build 35905
[...]

Tim Gardner (timg-tpi) on 2011-02-17
tags: added: verification-done-maverick

Whatever changed in this update (or a recent one) has severely degraded my wifi driver. I have to rmmod wl and modprobe wl again on my Macbook frequently. Here is some info on the wl I have loaded.

"""
$ sudo modinfo wl
filename: /lib/modules/2.6.35-27-generic/updates/dkms/wl.ko
license: MIXED/Proprietary
srcversion: 5E751F2C5531D97A48E0D26
alias: pci:v000014E4d00004727sv*sd*bc*sc*i*
alias: pci:v000014E4d00004357sv*sd*bc*sc*i*
alias: pci:v000014E4d00004353sv*sd*bc*sc*i*
alias: pci:v000014E4d0000432Dsv*sd*bc*sc*i*
alias: pci:v000014E4d0000432Csv*sd*bc*sc*i*
alias: pci:v000014E4d0000432Bsv*sd*bc*sc*i*
alias: pci:v000014E4d0000432Asv*sd*bc*sc*i*
alias: pci:v000014E4d00004329sv*sd*bc*sc*i*
alias: pci:v000014E4d00004328sv*sd*bc*sc*i*
alias: pci:v000014E4d00004315sv*sd*bc*sc*i*
alias: pci:v000014E4d00004313sv*sd*bc*sc*i*
alias: pci:v000014E4d00004312sv*sd*bc*sc*i*
alias: pci:v000014E4d00004311sv*sd*bc*sc*i*
depends: lib80211
vermagic: 2.6.35-27-generic SMP mod_unload modversions
parm: oneonly:int
parm: piomode:int
parm: instance_base:int
parm: nompc:int
parm: name:string
"""

Brad Figg (brad-figg) on 2011-03-03
tags: added: verification-needed-lucid
Tim Gardner (timg-tpi) wrote :

verification-done-lucid: Only compat-wireless backports drivers use this firmware, and the Maverick driver has been confirmed to work with this firmware.

tags: added: verification-done verification-done-lucid
removed: verification-needed-lucid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.34.4

---------------
linux-firmware (1.34.4) lucid-proposed; urgency=low

  * iwlwifi: Updated iwlwifi-6000g2a-5.ucode and iwlwifi-6000g2b-5.ucode to 17.168.5.2
    17.168.5.2 fixes a showstopper issue that it can't connect to a 5G hidden SSID.
    -LP: #716832
 -- Tim Gardner <email address hidden> Fri, 11 Feb 2011 07:24:04 -0700

Changed in linux-firmware (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.38.4

---------------
linux-firmware (1.38.4) maverick-proposed; urgency=low

  * iwlwifi: Updated iwlwifi-6000g2a-5.ucode and iwlwifi-6000g2b-5.ucode to 17.168.5.2
    17.168.5.2 fixes a showstopper issue that it can't connect to a 5G hidden SSID.
    -LP: #716832
 -- Tim Gardner <email address hidden> Fri, 11 Feb 2011 07:14:52 -0700

Changed in linux-firmware (Ubuntu Maverick):
status: Fix Committed → Fix Released
Changed in intel:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers